<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/jobSearcher">

    <fragment
        android:id="@+id/FirstFragment"
        android:name="com.revature.healthcareod.screens.FirstFragment"
        android:label="@string/first_fragment_label"
        tools:layout="@layout/fragment_login">

        <action
            android:id="@+id/action_FirstFragment_to_SecondFragment"
            app:destination="@id/SecondFragment" />
        <action
            android:id="@+id/action_FirstFragment_to_jobSearcher"
            app:destination="@id/jobSearcher" />
    </fragment>
    <fragment
        android:id="@+id/SecondFragment"
        android:name="com.revature.healthcareod.screens.SecondFragment"
        android:label="@string/second_fragment_label"
        tools:layout="@layout/fragment_registration">

        <action
            android:id="@+id/action_SecondFragment_to_FirstFragment"
            app:destination="@id/FirstFragment"
            app:popUpTo="@id/FirstFragment" />
    </fragment>
    <fragment
        android:id="@+id/jobSearcher"
        android:name="com.revature.healthcareod.screens.JobSearcher"
        android:label="fragment_job_searcher"
        tools:layout="@layout/fragment_job_searcher" >
        <action
            android:id="@+id/action_jobSearcher_to_FirstFragment"
            app:destination="@id/FirstFragment"
            app:popUpTo="@id/FirstFragment" />
        <action
            android:id="@+id/action_jobSearcher_to_accountViewFragment"
            app:destination="@id/accountViewFragment" />
        <action
            android:id="@+id/action_jobSearcher_to_currentJobs"
            app:destination="@id/currentJobsFragment" />

        <action
            android:id="@+id/action_jobSearcher_to_findJobs"
            app:destination="@id/findJobsFragment" />

        <action
            android:id="@+id/action_jobSearcher_to_schedulefragment"
            app:destination="@id/scheduleFragment" />


        <action
            android:id="@+id/action_jobSearcher_to_jobHistoryFragment"
            app:destination="@id/jobHistoryFragment"
            app:popUpTo="@id/jobSearcher" />
    </fragment>
    <fragment
        android:id="@+id/accountViewFragment"
        android:name="com.revature.healthcareod.screens.AccountViewFragment"
        android:label="fragment_account_view"
        tools:layout="@layout/fragment_account_view" >
        <action
            android:id="@+id/action_accountViewFragment_to_jobSearcher"
            app:destination="@id/jobSearcher" />
        <action
            android:id="@+id/action_accountViewFragment_to_accountEditFragment"
            app:destination="@id/accountEditFragment" />
    </fragment>

    <fragment
        android:id="@+id/currentJobsFragment"
        android:name="com.revature.healthcareod.screens.CurrentJobs"
        android:label="fragment_current_jobs"
        tools:layout="@layout/fragment_current_jobs" >
        <action
            android:id="@+id/action_currentJobs_to_jobSearcher"
            app:destination="@id/jobSearcher" />

        <action
            android:id="@+id/action_currentJobs_to_maps"
            app:destination="@id/MapsFragment" />
    </fragment>

    <fragment
        android:id="@+id/findJobsFragment"
        android:name="com.revature.healthcareod.screens.FindJobs"
        android:label="fragment_find_jobs"
        tools:layout="@layout/fragment_find_jobs" >
        <action
            android:id="@+id/action_findJobs_to_jobSearcher"
            app:destination="@id/jobSearcher" />

        <action
            android:id="@+id/action_findJobs_to_maps"
            app:destination="@id/MapsFragment" />
    </fragment>

    <fragment
        android:id="@+id/scheduleFragment"
        android:name="com.revature.healthcareod.screens.ScheduleFragment"
        android:label="fragment_schedule"
        tools:layout="@layout/fragment_schedule" >
        <action
            android:id="@+id/action_schedule_to_jobSearcher"
            app:destination="@id/jobSearcher" />
        <action
            android:id="@+id/action_schedule_to_maps"
            app:destination="@id/MapsFragment" />
    </fragment>
    <fragment
        android:id="@+id/jobHistoryFragment"
        android:name="com.revature.healthcareod.screens.JobHistoryFragment"
        android:label="fragment_job_history"
        tools:layout="@layout/fragment_job_history" >
        <action
            android:id="@+id/action_jobHistoryFragment_to_jobSearcher"
            app:destination="@id/jobSearcher" />
    </fragment>
    <fragment
        android:id="@+id/MapsFragment"
        android:name="com.revature.healthcareod.screens.MapsFragment"
        android:label="fragment_maps"
        tools:layout="@layout/fragment_maps" >
        <action
            android:id="@+id/action_maps_to_findJobs"
            app:destination="@id/findJobsFragment" />
        <action
            android:id="@+id/action_maps_to_currentJobs"
            app:destination="@id/currentJobsFragment" />
        <action
            android:id="@+id/action_maps_to_schedule"
            app:destination="@id/scheduleFragment" />
    </fragment>
    <fragment
        android:id="@+id/accountEditFragment"
        android:name="com.revature.healthcareod.screens.AccountEditFragment"
        android:label="AccountEditFragment" >
        <action
            android:id="@+id/action_accountEditFragment_to_accountViewFragment"
            app:destination="@id/accountViewFragment" />
    </fragment>
</navigation>